Class | ConditionVariable
In: | lib/phusion_passenger/utils.rb
Parent: | Object

### Methods

timed_wait timed_wait!

### Public Instance methods

timed_wait(mutex, secs)

This is like ConditionVariable.wait(), but allows one to wait a maximum amount of time. Returns true if this condition was signaled, false if a timeout occurred.

timed_wait!(mutex, secs)

This is like ConditionVariable.wait(), but allows one to wait a maximum amount of time. Raises Timeout::Error if the timeout has elapsed.

[Validate]